> For the complete documentation index, see [llms.txt](https://docs.e6data.com/product-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.e6data.com/product-documentation/setup/azure-setup/in-vpc-deployment-azure/setup-kubernetes-components.md).

# Setup Kubernetes Components

### Add e6data Helm Charts Repository <a href="#add-e6data-helm-charts-repository" id="add-e6data-helm-charts-repository"></a>

The Helm chart creates a service account that will be used by the e6data cluster to leverage OIDC (OpenID Connect) authentication and obtain read permissions to access the data buckets. It also creates roles and role bindings in the AKS cluster for the e6data control plane.

These roles and role bindings define the permissions and access levels for the control plane user within the cluster, allowing it to perform specific actions and interact with resources as required by the e6data workspace.

```
helm repo add e6data https://e6data.github.io/helm-charts/
helm repo update
```

[GitHub - e6x-labs/helm-chartsGitHub](https://github.com/e6x-labs/helm-charts)

### Edit `values.yaml` <a href="#edit-values.yaml" id="edit-values.yaml"></a>

1. Navigate to `./helm-charts/charts/workspace/`
2. Open the `values.yaml` file
3. Replace `<E6DATA_USER_ASSIGNED_IDENTITY_CLIENT_ID>` with the ClientID of [the managed identity created previously](https://docs.e6data.com/product-documentation/setup/aws-setup/infrastructure-and-permissions-for-e6data#step-3-create-an-iam-role-for-the-e6data-engine-inlineextension).
4. Replace `<OBJECT_ID_OF_THE_E6DATA_APP_REGISTRATION>` with the ObjectID of [the app registration created previously](https://docs.e6data.com/product-documentation/setup/aws-setup/infrastructure-and-permissions-for-e6data#step-3-create-an-iam-role-for-the-e6data-engine-inlineextension).
5. Replace `<WORKSPACE_NAME>` with the name of the e6data workspace you will be creating.
6. Replace the `<NODE_POOL_NAME>`&`<NODE_CLASS_NAME>` with the name provided in the previous [node pool](https://docs.e6data.com/product-documentation/setup/aws-setup/prerequisite-infrastructure#b.-create-an-e6data-ec2-node-pool) and [node class](https://docs.e6data.com/product-documentation/setup/aws-setup/prerequisite-infrastructure#a.-create-an-e6data-ec2-node-class) creation steps.
7. Save the edited `values.yaml` file

```
cloud:
  type: "AZURE"
  oidc_value: <E6DATA_USER_ASSIGNED_IDENTITY_CLIENT_ID>
  control_plane_user:
    - <OBJECT_ID_OF_THE_E6DATA_APP_REGISTRATION>
karpenter:
  nodepool:
    - "<NODE_POOL_NAME>"
  nodeclass:
    - "<NODE_CLASS_NAME>"
```

Please make note of the ***Workspace Name***, it will be required when creating the Workspace in the e6data Console:

### Run Helm Charts3 <a href="#run-helm-charts3" id="run-helm-charts3"></a>

{% code overflow="wrap" %}

```
helm upgrade -i -f /path/to/your/helm/values.yaml -n <KUBERNETES_NAMESPACE> <WORKSPACE_NAME> --version "2.1.7" e6x-labs/workspace
```

{% endcode %}

When the Helm chart finishes running, proceed to the e6data Console to create a [Workspace](https://docs.e6data.com/product-documentation/workspaces).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.e6data.com/product-documentation/setup/azure-setup/in-vpc-deployment-azure/setup-kubernetes-components.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
